CMP(1)

NAME
cmp - compare two files

SYNOPSIS
cmp [ -lsL ] file1 file2 [ offset1 [ offset2 ] ]

DESCRIPTION
The two files are compared. A diagnostic results if the contents differ, otherwise there is no output.

The options are:

l   Print the byte number (decimal) and the differing bytes (hexadecimal) for each difference.

s   Print nothing for differing files, but set the exit status.

L   Print the line number of the first differing byte.

If offsets are given, comparison starts at the designated byte position of the corresponding file. Offsets that begin with 0x are hexadecimal; with 0, octal; with anything else, decimal.

SOURCE
/src/cmd/cmp.c

SEE ALSO
diff(1)

DIAGNOSTICS
If a file is inaccessible or missing, the exit status is If the files are the same, the exit status is empty (true). If they are the same except that one is longer than the other, the exit status is Otherwise cmp reports the position of the first disagreeing byte and the exit status is